

************************************************************************************************************************
Syntax Limpeza de outliers valores numricos  q24- Questionrio Fundo Estadual de Assistncia Social
************************************************************************************************************************


RECODE q24_1_1 (ELSE=Copy) INTO  q24_1_1_velha.
RECODE q24_2_1 (ELSE=Copy) INTO  q24_2_1_velha.
RECODE q24_3_1 (ELSE=Copy) INTO  q24_3_1_velha.
RECODE q24_1_2 (ELSE=Copy) INTO  q24_1_2_velha.
RECODE q24_2_2 (ELSE=Copy) INTO  q24_2_2_velha.
RECODE q24_3_2 (ELSE=Copy) INTO  q24_3_2_velha.
RECODE q24_1_3 (ELSE=Copy) INTO  q24_1_3_velha.
RECODE q24_2_3 (ELSE=Copy) INTO  q24_2_3_velha.
RECODE q24_3_3  (ELSE=Copy) INTO  q24_3_3_velha.
RECODE q24_1_4 (ELSE=Copy) INTO  q24_1_4_velha.
RECODE q24_2_4  (ELSE=Copy) INTO  q24_2_4_velha.
RECODE q24_3_4 (ELSE=Copy) INTO  q24_3_4_velha.
RECODE q24_1_5 (ELSE=Copy) INTO  q24_1_5_velha.
RECODE q24_2_5  (ELSE=Copy) INTO  q24_2_5_velha.
RECODE q24_3_5 (ELSE=Copy) INTO  q24_3_5_velha.
RECODE q24_1_6  (ELSE=Copy) INTO  q24_1_6_velha.
RECODE q24_2_6  (ELSE=Copy) INTO  q24_2_6_velha.
RECODE q24_3_6  (ELSE=Copy) INTO  q24_3_6_velha.
EXECUTE.



VARIABLE LABELS
q24_1_1_velha  'q24_1_1_v13303_Proteo Social Bsica - RECURSOS FINANCEIROS - Valor alocado referente aos recursos prprios do Estado'
q24_2_1_velha  'q24_2_1_v14470_Proteo Social Bsica - DESPESAS - Valor da despesa realizada com recursos prprios do Estado'
q24_3_1_velha  'q24_3_1_v14471_Proteo Social Bsica - COFINANCIAMENTO - Valor total repassado aos municpios'
q24_1_2_velha  'q24_1_2_v14472_Proteo Social Especial - RECURSOS FINANCEIROS- Valor alocado referente aos recursos prprios do Estado'
q24_2_2_velha  'q24_2_2_v14473_Proteo Social Especial - DESPESAS - Valor da despesa realizada com recursos prprios do Estado'
q24_3_2_velha  'q24_3_2_v14474_Proteo Social Especial - COFINANCIAMENTO - Valor total repassado aos municpios'
q24_1_3_velha  'q24_1_3_v14476_Benefcios - RECURSOS FINANCEIROS - Valor alocado referente aos recursos prprios do Estado'
q24_2_3_velha  'q24_2_3_v14477_Benefcios - DESPESAS - Valor da despesa realizada com recursos prprios do Estado'
q24_3_3_velha  'q24_3_3_v14475_Benefcios - COFINANCIAMENTO - Valor total repassado aos municpios'
q24_1_4_velha  'q24_1_4_v14478_Gesto - RECURSOS FINANCEIROS- Valor alocado referente aos recursos prprios do Estado'
q24_2_4_velha  'q24_2_4_v14479_Gesto - DESPESAS - Valor da despesa realizada com recursos prprios do Estado'
q24_3_4_velha  'q24_3_4_v14480_Gesto - COFINANCIAMENTO - Valor total repassado aos municpios'
q24_1_5_velha  'q24_1_5_v14481_Outros - RECURSOS FINACEIROS - Valor alocado referente aos recursos prprios do Estado'
q24_2_5_velha  'q24_2_5_v14482_Outros - DESPESAS - Valor da despesa realizada com recursos prprios do Estado'
q24_3_5_velha  'q24_3_5_v14483_Outros - COFINANCIAMENTO - Valor total repassado aos municpios'
q24_1_6_velha  'q24_1_6_v14484_TOTAL - RECURSOS - Valor alocado referente aos recursos prprios do Estado'
q24_2_6_velha  'q24_2_6_v14485_TOTAL - DESPESAS - Valor da despesa realizada com recursos prprios do Estado'
q24_3_6_velha  'q24_3_6_v14486_TOTAL - COFINANCIAMENTO - Valor total repassado aos municpios'
.



*********************************************************************************************************************************************************************************************************************************************
*Passo 1 - Criao de varivel de Execuo relacionando despesa e oramento:

* As variveis q24_1_1_X (onde X varia de 1 a 6) se referem ao valor dos recursos prprios alocados pelo municpio no oramento.
* As variveis q24_2_1_X (onde X varia de 1 a 6) se referem ao valor da despesa realizada desses recursos. Assim, se dividirmos a despesa pelo oramento, temos a execuo daquele oramento.
*Da mesma forma, as variveis q24_1_2_X representam o valor repassado pelo Estado e as variveis q24_2_2_X o valor despendido.
*Assim, posteriormente ser possvel aplicar critrio de limpeza que elimine valores inconsistentes, como os municpios que executam um valor 10 vezes maior do que o valor orado, por exemplo.
*********************************************************************************************************************************************************************************************************************************************


COMPUTE	EXECUCAO_1MUN = q24_2_1/q24_1_1.
COMPUTE	EXECUCAO_2MUN = q24_2_2/q24_1_2.
COMPUTE	EXECUCAO_3MUN = q24_2_3/q24_1_3.
COMPUTE	EXECUCAO_4MUN = q24_2_4/q24_1_4.
COMPUTE	EXECUCAO_5MUN = q24_2_5/q24_1_5.
COMPUTE	EXECUCAO_6MUN = q24_2_6/q24_1_6.
EXECUTE.



VARIABLE LABELS
EXECUCAO_1MUN  'Proteo Social Bsica -  Execuo relacionando despesa e oramento -  valor alocado referente aos recursos prprios do Estado '
EXECUCAO_2MUN 'Proteo Social Especial -  Execuo relacionando despesa e oramento -  valor alocado referente aos recursos prprios do Estado '
EXECUCAO_3MUN 'Benefcios -  Execuo relacionando despesa e oramento -  valor alocado referente aos recursos prprios do Estado '
EXECUCAO_4MUN 'Gesto -  Execuo relacionando despesa e oramento -  valor alocado referente aos recursos prprios do Estado '
EXECUCAO_5MUN 'Outros -  Execuo relacionando despesa e oramento -  valor alocado referente aos recursos prprios do Estado '
EXECUCAO_6MUN 'Total -  Execuo relacionando despesa e oramento -  valor alocado referente aos recursos prprios do Estado '
.


IF(		EXECUCAO_1MUN	>=	10	|
		EXECUCAO_2MUN	>=	10	|
		EXECUCAO_3MUN	>=	10	|
		EXECUCAO_4MUN	>=	10	|
		EXECUCAO_5MUN	>=	10	|
		EXECUCAO_6MUN	>=	10)	
		LIMP_EXECUCAO=1.				
EXECUTE.				



VARIABLE LABELS
LIMP_EXECUCAO  'Limpeza outlier_ para Estados que executam um valor 10 vezes maior do que o valor alocado '.




***************************************************************************************************************************************
*Passo 2 - Executar a limpeza dos valores inconsistentes
***************************************************************************************************************************************
*Alterar o rtulo dos valores para 0.777 = valores inconsistentes

IF EXECUCAO_1MUN > 10 q24_1_1=0.777.
IF EXECUCAO_1MUN > 10 q24_2_1=0.777.
IF EXECUCAO_2MUN > 10 q24_1_2=0.777.
IF EXECUCAO_2MUN > 10 q24_2_2=0.777.
IF EXECUCAO_3MUN > 10 q24_1_3=0.777.
IF EXECUCAO_3MUN > 10 q24_2_3=0.777.
IF EXECUCAO_4MUN > 10 q24_1_4=0.777.
IF EXECUCAO_4MUN > 10 q24_2_4=0.777.
IF EXECUCAO_5MUN > 10 q24_1_5=0.777.
IF EXECUCAO_5MUN > 10 q24_2_5=0.777.
IF EXECUCAO_6MUN > 10 q24_1_6=0.777.
IF EXECUCAO_6MUN > 10 q24_2_6=0.777.
execute.



